> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Card Art to the Marqeta UX Toolkit



## OpenAPI

````yaml api-reference/openapi-cards.json POST /cardproduct/{card_product_id}/uxt_cardart
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Cards
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /cardproduct/{card_product_id}/uxt_cardart:
    post:
      tags:
        - MarqetaUXT
      summary: Upload Card Art to the Marqeta UX Toolkit
      parameters:
        - description: The ID of the card product to upload card art for
          in: path
          name: card_product_id
          required: true
          schema:
            description: The ID of the card product to upload card art for
            type: string
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Example
                value:
                  asset_type: front
                  file_id: file_11jnd0n3nx
            schema:
              properties:
                asset_type:
                  description: Which side/asset of the card the image represents
                  type: string
                card_product_id:
                  description: The ID of the card product to upload card art for
                  type: string
                file_id:
                  description: >-
                    The ID of a previously uploaded File (via POST /file)
                    containing a PNG image
                  type: string
              required:
                - card_product_id
                - file_id
                - asset_type
        description: The card.cardart to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value: {}
              schema:
                properties:
                  asset_type:
                    description: Which side/asset of the card the image represents
                    type: string
                  card_product_id:
                    description: The ID of the card product to upload card art for
                    type: string
                  file_id:
                    description: >-
                      The ID of a previously uploaded File (via POST /file)
                      containing a PNG image
                    type: string
          description: The card.cardart created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````